=== debian/control ===
Source: ldaptor
Section: admin
Priority: optional
Maintainer: Tommi Virtanen <tv@debian.org>
Standards-Version: 3.5.6
Build-Depends-Indep: python2.2-dev, python2.3-dev, debhelper (>= 4.1.68), docbook-slides (>= 3.2.0), xsltproc, source-highlight, python2.3-epydoc, dia (>= 0.93-2)

Package: ldaptor-utils
Section: admin
Architecture: all
Depends: python (>= 2.3), python (<< 2.4), python2.3-ldaptor
Description: Command-line LDAP utilities
 A set of LDAP utilities for use from the command line, including:
 .
 ldaptor-search -- Search LDAP directories.
 .
 ldaptor-namingcontexts -- Fetch the naming contexts the server supports.
 .
 ldaptor-find-server -- Find the server that serves the wanted DN by
 looking at DNS SRV records.
 .
 ldaptor-passwd -- Change passwords.
 .
 ldaptor-rename -- Change object RDN and DNs.
 .
 ldaptor-ldap2passwd -- Generate passwd(5) format data from LDAP
 accounts.
 .
 ldaptor-getfreenumber -- Do an efficient scan for e.g. next free
 uidNumber.
 .
 ldaptor-ldap2dhcpconf -- Create dhcp.conf based on LDAP host info.
 .
 ldaptor-ldap2maradns -- Create a maradns zone file based on LDAP host
 info.
 .
 ldaptor-ldap2pdns -- pdns pipe backend.
 .
 ldaptor-fetchschema -- Fetch schema from a server.
 .
 ldaptor-ldifdiff -- Read two LDIF files and output LDIF modifications
 that modify entries in first file to look like entries in second file.
 .
 ldaptor-ldifpatch -- Read an LDIF file and LDIF modifications and output
 LDIF with the modifications.

Package: ldaptor-webui
Section: admin
Architecture: all
Depends: python (>= 2.3), python (<< 2.4), python2.3-ldaptor
Description: Web user interface for editing LDAP directories
 A web-based user interface to search and edit information in an LDAP
 directory.

Package: python-ldaptor
Section: python
Architecture: all
Depends: python-twisted (>= 1.1.1), python-pyparsing, pwgen, python (>= 2.3), python (<< 2.4), python2.3-ldaptor
Description: Pure-Python library for LDAP
 Ldaptor is a pure-Python library that implements
 .
 - LDAP client logic.
 .
 - separately-accessible LDAP and BER protocol message
 generation/parsing.
 .
 - ASCII-format LDAP filter generation and parsing.
 .
 - LDIF format data generation.
 .
 - Samba password changing logic.
 .
 This is a dummy package that depends on the correct version of
 python-ldaptor for the default version of Python.

Package: python2.2-ldaptor
Section: python
Architecture: all
Depends: python2.2-twisted (>= 1.1.1), python2.2-pyparsing, pwgen, python2.2
Description: Pure-Python library for LDAP
 Ldaptor is a pure-Python library that implements
 .
 - LDAP client logic.
 .
 - separately-accessible LDAP and BER protocol message
 generation/parsing.
 .
 - ASCII-format LDAP filter generation and parsing.
 .
 - LDIF format data generation.
 .
 - Samba password changing logic.
 .
 This version is usable with python2.2

Package: python2.3-ldaptor
Section: python
Architecture: all
Depends: python2.3-twisted (>= 1.1.1), python2.3-pyparsing, pwgen, python2.3
Description: Pure-Python library for LDAP
 Ldaptor is a pure-Python library that implements
 .
 - LDAP client logic.
 .
 - separately-accessible LDAP and BER protocol message
 generation/parsing.
 .
 - ASCII-format LDAP filter generation and parsing.
 .
 - LDIF format data generation.
 .
 - Samba password changing logic.
 .
 This version is usable with python2.3

Package: ldaptor-doc
Section: doc
Architecture: all
Description: Documentation for Ldaptor
 A collection of documentation about Ldaptor and LDAP, including
 .
 - An introduction to LDAP
 .
 - The Ldaptor library API
 .
 - Slides for a talk "Creating a simple LDAP application"
