## ldaptor 0.0.38ubuntu1

=== debian/changelog ===
ldaptor (0.0.38ubuntu1) hoary; urgency=low

  * Sync with Debian
  * Update to Python 2.4

 -- Brandon Hale <brandon@smarterits.com>  Thu, 10 Mar 2005 11:36:33 -0500

ldaptor (0.0.38) unstable; urgency=low

  * Bugfixes:
    - WebUI:
      - rewrite webui search DN linking to be more nevowy and not assume
        ldaptor is the root resource.

 -- Tommi Virtanen <tv@debian.org>  Fri,  4 Mar 2005 14:46:28 +0200

ldaptor (0.0.37) unstable; urgency=low

  * Bugfixes:
    - ldaptor.checkers:
      - trap LDAPUnwillingToPerform and make it just an UnauthorizedLogin
        in LDAPBindingChecker.
    - WebUI:
      - do not stringify i18n PlaceHolder, just pass it through to
        flattening.
      - Port nevow commits r1252 and r1253: handle interpolation of i18n
        strings better.
      - Make zebra tables not reverse colors on refresh, by moving state
        from resource to request.

  * Cleanups:
    - Remove dead code.
    - Use CSS in webui service password changing layout.

 -- Tommi Virtanen <tv@debian.org>  Wed, 23 Feb 2005 23:00:57 +0200

ldaptor (0.0.36) unstable; urgency=low

  * Applications changes:
    - Enforce validFrom and validUntil in ServiceBindingProxy. Closes:
      ldaptor#22.
    - I18n support in webui and translation to finnish.

  * API changes:
    - Do not parallelize password setting, abort on first error.
    - When aborting password setting, use a real exception and not a
      string as explanation.

  * Refactorings to adapt to Twisted/Nevow APIs:
    - In webui, use annotate.Choice in a way that works with nevow 0.3 and
      0.4pre.

  * Bugfixes:
    - Add ldaptor.protocols.ldap.autofill that was missed earlier.
    - Clean up and python2.4-proof LDAPAttributeTypeAndValue parsing.
    - Do not repeat the form error message for each argument in webui
      change_password.

  * Cleanups:
    - WebUI:
      - refactor to separate service password setting, for reuse
        elsewhere.
      - make zebra tables set CSS styles, not just background colors.
      - redo webui service password changing form layout.
      - avoid annotate.Password in webui password changing, it
        results in poor layout.
      - use table for nicer layout of service password controls.

  * Packaging:
    - Add missing depends on python2.3-pyopenssl, python2.3-crypto.

  * Administrivia:
    - Run unit tests after the install target, with the installed code
      base.

 -- Tommi Virtanen <tv@debian.org>  Wed, 23 Feb 2005 11:13:08 +0200

ldaptor (0.0.35) unstable; urgency=low

  * Bugfixes:
    - Fix LDAPServer to understand new e.bind() semantics from r196.

  * Packaging:
    - Bumped standards version to 3.6.1.

 -- Tommi Virtanen <tv@debian.org>  Fri, 28 Jan 2005 19:49:24 +0200

ldaptor (0.0.34) unstable; urgency=low

  * Brown paper bag time, 0.0.33 was never uploaded. Epydoc --check only
    check and generates no output, reverting back to do not complain about
    missing docstrings.

 -- Tommi Virtanen <tv@debian.org>  Sun, 23 Jan 2005 03:32:46 +0200

ldaptor (0.0.33) unstable; urgency=low

  * Conceptual changes:
    - Add our own LDAP schema file. To use in slapd, add line "include
      /etc/ldaptor/ldaptor.schema" to /etc/ldap/slapd.conf.
    - Switch service-specific password support in svcbindproxy and webui
      change_password to use new-style password entries, for nicer slapd
      ACLs. Closes: ldaptor#20.

  * API changes:
    - Add a pumpingDeferredError to test utils, for consistency.
    - Allow overriding things by subclassing LDAPConfig and setting
      attributes.
    - Allow overriding identity search filter at LDAPConfig instantiation
      time.
    - Change e.bind() semantics to defer more, and return self or raise.
    - Add LDAPEntryWithClient.bind() that sends a BindRequest to the
      server.
    - Deprecate LDAPClient.bind(dn, auth) in favor of e.bind(auth).
    - Proxy now takes an ILDAPConfig parameter to init and not just
      overrides.

  * Bugfixes:
    - Escape "=" in RDN values.
    - Remove ldaptor.protocols.ldap.__all__, it's unnecessary and had
      wrong content.

  * Cleanups:
    - Convert U32 to unix-style newlines.
    - Epydoc formatting fixes.
    - Make epydoc complain about missing docstrings.
    - Fix API doc home page URL.

  * Packaging:
    - When running unit tests from debian/rules, ensure PYTHONPATH gets an
      explicit . in it -- for the poor guy running a build as root.
      Closes: #291615.
    - Include everything needed for successful unit test run in
      Build-Depends-Indep. Closes: #290236, #291618.

 -- Tommi Virtanen <tv@debian.org>  Sun, 23 Jan 2005 02:52:56 +0200

ldaptor (0.0.32) unstable; urgency=low

  * Conceptual changes:
    - Client-side STARTTLS support. Closes: ldaptor#1.

  * Applications changes:
    - The following now use the configuration, making --base optional:
      - ldaptor-ldap2maradns
      - ldaptor-search
      - ldaptor-ldap2pdns
      - ldaptor-ldap2passwd
      - ldaptor-ldap2dhcpconf
    - ldaptor-ldap2pdns now reconnects when needed.
    - WebUI:
    - Server:

  * API changes:
    - Remove ldapclient.LDAPSearch in favor of e.search().
    - Switch from LDAPClient.queue() to one of the following. Needed to
      notify in flight operations of lost connection, and all around
      prettier.
      - d=c.send(op)
      - d=c.send_multiResponse(op, fn, ..)
      - c.send_noResponse(op)
    - Add LDAPEntryWithClient.lookup() that was accidentally left out.
    - Add BaseLDAPEntry.hasMember().

  * Refactorings to adapt to Ldaptor APIs:
    - Refactor to avoid LDAPSearch, use ldapsyntax, config and
      ldapconnector:
      - ldaptor-ldap2maradns
      - ldaptor-search
      - ldaptor-ldap2pdns
      - ldaptor-ldap2dhcpconf
      - ldaptor-ldap2passwd
      - ldaptor-rename

  * Bugfixes:
    - In ldaptor-ldap2maradns, make sure the netmask.* A record is in
      octet format (and not as number of bits).

