=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: admin
 Priority: optional
 Maintainer: Tommi Virtanen <tv@debian.org>
-Standards-Version: 3.5.6
-Build-Depends-Indep: python2.2-dev, python2.3-dev, debhelper (>= 4.1.68), docbook-slides (>= 3.2.0), xsltproc, source-highlight, python2.3-epydoc, dia (>= 0.93-2)
+Standards-Version: 3.6.1
+Build-Depends-Indep: python, python2.3-dev, cdbs, debhelper (>= 4.1.68), docbook-slides (>= 3.2.0), xsltproc, source-highlight, python2.3-epydoc, dia (>= 0.93-2), python2.3-twisted (>= 1.3.0), python2.3-nevow (>= 0.3.0), python2.3-pyparsing, python2.3-pyopenssl, python2.3-crypto
 
 Package: ldaptor-utils
 Section: admin
 Architecture: all
-Depends: python (>= 2.3), python (<< 2.4), python2.3-ldaptor
+Depends: ${python:Depends}, python-ldaptor
 Description: Command-line LDAP utilities
  A set of LDAP utilities for use from the command line, including:
  .
@@ -47,7 +47,7 @@
 Package: ldaptor-webui
 Section: admin
 Architecture: all
-Depends: python (>= 2.3), python (<< 2.4), python2.3-ldaptor
+Depends: ${python:Depends}, python2.3-nevow (>= 0.3.0), python2.3-ldaptor
 Description: Web user interface for editing LDAP directories
  A web-based user interface to search and edit information in an LDAP
  directory.
@@ -55,7 +55,7 @@
 Package: python-ldaptor
 Section: python
 Architecture: all
-Depends: python-twisted (>= 1.1.1), python-pyparsing, pwgen, python (>= 2.3), python (<< 2.4), python2.3-ldaptor
+Depends: ${python:Depends}, python-twisted (>= 1.3.0), python-pyparsing
 Description: Pure-Python library for LDAP
  Ldaptor is a pure-Python library that implements
  .
@@ -73,30 +73,10 @@
  This is a dummy package that depends on the correct version of
  python-ldaptor for the default version of Python.
 
-Package: python2.2-ldaptor
-Section: python
-Architecture: all
-Depends: python2.2-twisted (>= 1.1.1), python2.2-pyparsing, pwgen, python2.2
-Description: Pure-Python library for LDAP
- Ldaptor is a pure-Python library that implements
- .
- - LDAP client logic.
- .
- - separately-accessible LDAP and BER protocol message
- generation/parsing.
- .
- - ASCII-format LDAP filter generation and parsing.
- .
- - LDIF format data generation.
- .
- - Samba password changing logic.
- .
- This version is usable with python2.2
-
 Package: python2.3-ldaptor
 Section: python
 Architecture: all
-Depends: python2.3-twisted (>= 1.1.1), python2.3-pyparsing, pwgen, python2.3
+Depends: ${python:Depends}, ldaptor-common, python2.3-twisted (>= 1.3.0), python2.3-pyparsing, pwgen, python2.3-pyopenssl, python2.3-crypto
 Description: Pure-Python library for LDAP
  Ldaptor is a pure-Python library that implements
  .
@@ -125,3 +105,22 @@
  .
  - Slides for a talk "Creating a simple LDAP application"
 
+Package: ldaptor-common
+Section: python
+Architecture: all
+Description: Pure-Python library for LDAP (common files)
+ Ldaptor is a pure-Python library that implements
+ .
+ - LDAP client logic.
+ .
+ - separately-accessible LDAP and BER protocol message
+ generation/parsing.
+ .
+ - ASCII-format LDAP filter generation and parsing.
+ .
+ - LDIF format data generation.
+ .
+ - Samba password changing logic.
+ .
+ This package contains the common files shared between different
+ builds of the library for different Python versions.
