## ldaptor 0.0.41ubuntu1

=== debian/changelog ===
ldaptor (0.0.41ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.
  * Removed the final test suite, cause it throws errors. Testing needed

 -- Stephan Hermann <sh@sourcecode.de>  Mon, 25 Jul 2005 17:46:09 +0200

ldaptor (0.0.41) unstable; urgency=low

  * Bugfixes:
    - Handle attributeTypes written with non-canonical cases better in
      webui edit and add. Stops tracebacks complaining about unknown
      attribute types, especially related to x500uniqueidentifier.
      Closes: ldaptor#25.

 -- Tommi Virtanen <tv@debian.org>  Thu, 26 May 2005 21:07:24 +0300

ldaptor (0.0.40) unstable; urgency=low

  * Bugfixes:
    - Make e.setPassword() set Samba passwords even when Samba
      objectClasses are spelled with non-canonical case.
      Closes: ldaptor#31.

 -- Tommi Virtanen <tv@debian.org>  Thu, 26 May 2005 19:47:53 +0300

ldaptor (0.0.39ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Andrew Mitchell <ajmitch@gnu.org>  Wed, 11 May 2005 19:03:02 +1200
