=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Tommi Virtanen <tv@debian.org>
 Standards-Version: 3.6.1
-Build-Depends-Indep: python, python2.3-dev, cdbs, debhelper (>= 4.1.68), docbook-slides (>= 3.2.0), xsltproc, source-highlight, python2.3-epydoc, dia (>= 0.93-2), python2.3-twisted (>= 1.3.0), python2.3-nevow (>= 0.3.0), python2.3-pyparsing, python2.3-pyopenssl, python2.3-crypto
+Build-Depends-Indep: python, python-dev (>= 2.4), cdbs (>= 0.4.25-1ubuntu1), debhelper (>= 4.2.28), docbook-slides (>= 3.2.0), xsltproc, source-highlight, python2.4-epydoc, dia (>= 0.93-2), python2.4-twisted (>= 1.3.0), python2.4-nevow (>= 0.3.0), python2.4-pyparsing, python2.4-pyopenssl, python2.4-crypto
 
 Package: ldaptor-utils
 Section: admin
@@ -47,7 +47,7 @@
 Package: ldaptor-webui
 Section: admin
 Architecture: all
-Depends: ${python:Depends}, python2.3-nevow (>= 0.3.0), python2.3-ldaptor
+Depends: ${python:Depends}, python2.4-nevow (>= 0.3.0), python2.4-ldaptor
 Description: Web user interface for editing LDAP directories
  A web-based user interface to search and edit information in an LDAP
  directory.
@@ -73,10 +73,10 @@
  This is a dummy package that depends on the correct version of
  python-ldaptor for the default version of Python.
 
-Package: python2.3-ldaptor
+Package: python2.4-ldaptor
 Section: python
 Architecture: all
-Depends: ${python:Depends}, ldaptor-common, python2.3-twisted (>= 1.3.0), python2.3-pyparsing, pwgen, python2.3-pyopenssl, python2.3-crypto
+Depends: ${python:Depends}, ldaptor-common, python2.4-twisted (>= 1.3.0), python2.4-pyparsing, pwgen, python2.4-pyopenssl, python2.4-crypto
 Description: Pure-Python library for LDAP
  Ldaptor is a pure-Python library that implements
  .
@@ -91,7 +91,7 @@
  .
  - Samba password changing logic.
  .
- This version is usable with python2.3
+ This version is usable with python2.4
 
 Package: ldaptor-doc
 Section: doc
