=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Tommi Virtanen <tv@debian.org>
 Standards-Version: 3.6.1
-Build-Depends-Indep: python, python-dev (>= 2.4), cdbs (>= 0.4.25-1ubuntu1), debhelper (>= 4.2.28), docbook-slides (>= 3.2.0), xsltproc, source-highlight, python2.4-epydoc, dia (>= 0.93-2), python2.4-twisted (>= 1.3.0), python2.4-nevow (>= 0.3.0), python2.4-pyparsing, python2.4-pyopenssl, python2.4-crypto
+Build-Depends-Indep: python, python2.4-dev, cdbs, debhelper (>= 4.1.68), docbook-slides (>= 3.2.0), xsltproc, source-highlight, python-epydoc, dia (>= 0.93-2), python2.4-twisted (>= 1.3.0), python2.4-nevow (>= 0.3.0), python2.4-pyparsing, python2.4-pyopenssl, python2.4-crypto
 
 Package: ldaptor-utils
 Section: admin
@@ -31,6 +31,9 @@
  .
  ldaptor-ldap2dhcpconf -- Create dhcp.conf based on LDAP host info.
  .
+ ldaptor-ldap2dnszones -- Create a DNS zone files based on LDAP host
+ info.
+ .
  ldaptor-ldap2maradns -- Create a maradns zone file based on LDAP host
  info.
  .
@@ -47,7 +50,7 @@
 Package: ldaptor-webui
 Section: admin
 Architecture: all
-Depends: ${python:Depends}, python2.4-nevow (>= 0.3.0), python2.4-ldaptor
+Depends: ${python:Depends}, python-nevow (>= 0.3.0), python-ldaptor
 Description: Web user interface for editing LDAP directories
  A web-based user interface to search and edit information in an LDAP
  directory.
