## ldaptor 0.0.43

=== doc/Makefile ===
--- 
+++ 
@@ -124,7 +124,9 @@
 		--stringparam script.dir browser \
 		../slides-driver.xsl \
 		'$(addprefix ../,$<)'
-	perl -pi -e 's{<a href="(.*?)" target="_top">Click me!</a>}{<iframe width=900 height=600 src="$$1" />}g;' $(@D)/foil*.html
+	perl -pi -e \
+		's{<a href="(.*?)" target="_top">Click me!</a>}{<iframe width=900 height=600 src="$$1" />}g;' \
+		'$(@D)'/foil*.html
 
 %.dia.png: %.dia
 	dia --export-to-format=png-libart --export=$@.tmp $<
